## wlroots12 0.17.4

=== debian/changelog ===
wlroots12 (0.17.4-1+rpt1) bookworm; urgency=medium

  * New upstream release
    * Notably includes my speedups to the pixman transform render path
  * Test new packaging flow

 -- David Turner <david.turner@raspberrypi.com>  Thu, 12 Sep 2024 16:36:47 +0100

wlroots (0.17.4-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Mon, 01 Jul 2024 18:00:32 +0200

wlroots (0.17.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Mon, 17 Jun 2024 07:35:17 +0200

wlroots12 (0.17.3-1~bpo12+rpt5) bookworm-backports; urgency=medium

  * Include Pixman patches from cillian64

 -- Simon Long <simon@raspberrypi.com>  Thu, 20 Jun 2024 17:36:46 +0100

wlroots12 (0.17.3-1~bpo12+rpt4) bookworm-backports; urgency=medium

  * Un-reinstate t64 package

 -- Simon Long <simon@raspberrypi.com>  Wed, 15 May 2024 13:36:32 +0100

wlroots12 (0.17.3-1~bpo12+rpt3) bookworm-backports; urgency=medium

  * Reinstate t64 package

 -- Simon Long <simon@raspberrypi.com>  Wed, 15 May 2024 07:47:55 +0100

wlroots12 (0.17.3-1~bpo12+rpt2) bookworm-backports; urgency=medium

  * Fix spurious references to t64 package name

 -- Simon Long <simon@raspberrypi.com>  Mon, 13 May 2024 09:56:44 +0100

wlroots12 (0.17.3-1~bpo12+rpt1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Simon Long <simon@raspberrypi.com>  Fri, 10 May 2024 10:56:36 +0100

wlroots (0.17.3-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream release
  * [9c7b1f8] Drop gles2-Avoid-crash-when-glGetInteger64vEXT-is-missing.patch:
    Applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Sat, 04 May 2024 14:28:54 +0200

wlroots (0.17.2-2) unstable; urgency=medium

  * Upload to unstable
  * Acknowledge NMU (Closes: #1063089)
  * Use pkgconf
  * Bump versions wayland-protocols dependency
    Closes: #1029381, #1064497

 -- Guido Günther <agx@sigxcpu.org>  Sat, 04 May 2024 09:31:44 +0200

wlroots (0.17.2-1) experimental; urgency=medium

  * Upload to experimental to not disturb ongoing transitions
  * New upstream release
  * [c097505] gles2: Avoid crash when glGetInteger64vEXT is missing
    Backport of upstream commit 341b3c8bd2387d9d6fb684e006a4eb45dfe09efa

 -- Guido Günther <agx@sigxcpu.org>  Tue, 12 Mar 2024 19:16:00 +0100

wlroots (0.17.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063089

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 02:36:15 +0000

wlroots (0.17.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 09 Jan 2024 19:39:59 +0100

wlroots (0.17.1-1) experimental; urgency=medium

  * New upstream release
  * d/control: Drop superfluous version information
    Thanks: Diederik de Haas

 -- Guido Günther <agx@sigxcpu.org>  Fri, 22 Dec 2023 15:32:00 +0100

wlroots (0.17.0-1~exp1) experimental; urgency=medium

  * New upstream release
  * [965a0e9] New upstream release
  * [c8cf0e8] Refresh patches.
    We drop the client patch as wlroots doesn't ship these anymore and
    refresh the anchor patch.
  * [f0cb805] d/control: Drop libav deps.
    Clients are no longer shipped.
  * [89f88ab] d/control: Update build-deps for new upstream version
  * [ce42ad3] Bump soname to 12
  * [a5445d6] Update examples.
    Client examples were moved to a separate repo
  * [99dd42c] d/copyright: Update with wlroots contributors
  * [0ca6cb2] d/tests: Update autopkgtest to new API
  * [bbd56db] d/control: Update dependencies of dev package.
    According to the shipped pc file

 -- Guido Günther <agx@sigxcpu.org>  Tue, 21 Nov 2023 19:26:36 +0100

wlroots (0.16.2-3) unstable; urgency=medium

  [ Diederik de Haas ]
  * [dd75d42] d/control: Update libwlroots-examples description.
    Upstream commit 58b2584863201f32d1a4770a1d5cde5e57b300c6 removed the
    rootston compositor, so remove it from the package description too.
    (Closes: #1027926)
  * [4de9500] d/patches: Backport upstream patch to fix FTBFS with ffmpeg 6.0
    (Closes: #1041493)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 03 Aug 2023 21:25:19 +0200

wlroots (0.16.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Thu, 20 Jul 2023 16:41:50 +0200

wlroots (0.16.2-1) experimental; urgency=medium

  * New upstream release
  * [ed00fc6] Drop patches contained in the release
  * Make autopkgtest a shell script. Thanks Andreas Henriksson
    for the review.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 19 Feb 2023 15:25:33 +0100

wlroots (0.16.1-2) experimental; urgency=medium

  * [d707bc2] libwlroots-dev: Depend on vulkan development package
    (Closes: #1030240)
  * [d4e58a8] Switch dependency from libegl1-mesa to libegl
  * [19386fa] Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Feb 2023 16:57:22 +0100

wlroots (0.16.1-1) experimental; urgency=medium

  [ Guido Günther ]
  * New upstream release
    (Closes: #1027682)
  * [cb91b99] Drop patches applied upstream
  * [16358a9] Backport a patch from upstream's 0.16 branch
    to fix an XWayland crash.

  [ Birger Schacht ]
  * [fb08e6c] Add required Build-Dependencies to enable vulkan renderer
    (Closes: #1028910)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 17 Jan 2023 11:57:52 +0100

wlroots (0.16.0-2) experimental; urgency=medium

  * [17dcb12] Fix compilation due to uninitialized values on some
    architectures.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 24 Nov 2022 13:50:49 +0100

wlroots (0.16.0-1) experimental; urgency=medium

  * Upload to experimental
  * [aac440c] New upstream release
  * [e8cf5bd] d/gbp.conf: Use upstream-vcs
  * [bea6239] d/watch: Project moved to fdo gitlab
  * [e7033ad] Adjust to new soname
  * [b9ef4e6] d/control: Update build-dependencies
  * [5054262] Refresh patches. Drop those applied upstream.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 23 Nov 2022 16:20:46 +0100

wlroots (0.15.1-3) unstable; urgency=medium


