=== debian/control ===
Source: wlroots12
Priority: optional
Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
Uploaders: Guido Günther <agx@sigxcpu.org>, Birger Schacht <birger@rantanplan.org>
Build-Depends: dpkg-dev (>= 1.22.5),
 debhelper-compat (= 13),
 glslang-tools,
 hwdata,
 libcap-dev,
 libcairo2-dev,
 libdisplay-info-dev (>= 0.1.1),
 libdrm-dev (>= 2.4.114),
 libegl1-mesa-dev,
 libegl-dev,
 libgbm-dev,
 libgles2-mesa-dev,
 libinput-dev,
 libliftoff-dev (>= 0.4.1),
 libpixman-1-dev,
 libpng-dev,
 libseat-dev,
 libsystemd-dev,
 libvulkan-dev,
 libwayland-dev (>= 1.22),
 libx11-xcb-dev,
 libxcb1-dev,
 libxcb-composite0-dev,
 libxcb-dri3-dev,
 libxcb-ewmh-dev,
 libxcb-icccm4-dev,
 libxcb-image0-dev,
 libxcb-present-dev,
 libxcb-render0-dev,
 libxcb-render-util0-dev,
 libxcb-res0-dev,
 libxcb-shm0-dev,
 libxcb-xfixes0-dev,
 libxcb-xinput-dev,
 libxkbcommon-dev,
 meson,
 pkgconf,
 wayland-protocols (>= 1.32),
 xwayland,
Standards-Version: 4.6.2
Section: libs
Homepage: https://gitlab.freedesktop.org/wlroots/wlroots/
Vcs-Git: https://salsa.debian.org/swaywm-team/wlroots.git
Vcs-Browser: https://salsa.debian.org/swaywm-team/wlroots
Rules-Requires-Root: no

Package: libwlroots12-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libwlroots12 (= ${binary:Version}),
 libcap-dev,
 libdisplay-info-dev,
 libdrm-dev (>= 2.4.114),
 libegl-dev,
 libgbm-dev,
 libgles2-mesa-dev,
 libinput-dev,
 libpixman-1-dev,
 libseat-dev,
 libsystemd-dev,
 libliftoff-dev (>= 0.4.0),
 libudev-dev,
 libvulkan-dev,
 libwayland-dev (>= 1.22),
 libxcb1-dev,
 libxcb-composite0-dev,
 libxcb-dri3-dev,
 libxcb-ewmh-dev,
 libxcb-icccm4-dev,
 libxcb-image0-dev,
 libxcb-present-dev,
 libxcb-render0-dev,
 libxcb-render-util0-dev,
 libxcb-res0-dev,
 libxcb-shm0-dev,
 libxcb-xfixes0-dev,
 libxcb-xinput-dev,
 libxkbcommon-dev,
 libx11-xcb-dev,
 wayland-protocols (>= 1.24),
Conflicts: libwlroots-dev
Replaces: libwlroots-dev
Description: Modular wayland compositor library - development headers
 wlroots is a set of pluggable, composable modules to build a Wayland
 compositor.
 .
 This package contains the development headers.

Package: libwlroots12
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Modular wayland compositor library - shared library
 wlroots is a set of pluggable, composable modules to build a Wayland
 composior.
 .
 This package contains the shared library.

Package: libwlroots12-examples
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: libwlroots-examples
Replaces: libwlroots-examples
Description: Modular wayland compositor library - binaries
 wlroots is a set of pluggable, composable modules to build a Wayland
 composior.
 .
 This package contains various examples on how to use wlroots.
